Bug 244246 - www/gitea: Update to 1.10.4
Summary: www/gitea: Update to 1.10.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitri Goutnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-20 16:27 UTC by stb
Modified: 2020-03-07 18:43 UTC (History)
1 user (show)

See Also:


Attachments
patch to update gite aport to 1.10.4 (824 bytes, patch)
2020-02-20 16:38 UTC, stb
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description stb 2020-02-20 16:27:47 UTC
Update port to Gitea 1.10.4.

This release fixes seven bugs, and one feature.

Release notes: https://github.com/go-gitea/gitea/releases/tag/v1.10.4
Comment 1 stb 2020-02-20 16:38:46 UTC
Created attachment 211775 [details]
patch to update gite aport to 1.10.4
Comment 2 stb 2020-02-20 16:39:59 UTC
I'm still working on the upgrade to 1.11, see #244025. In the meantime, here's this maintenance release.
Comment 3 commit-hook freebsd_committer 2020-02-21 13:48:45 UTC
A commit references this bug:

Author: dmgk
Date: Fri Feb 21 13:48:08 UTC 2020
New revision: 526626
URL: https://svnweb.freebsd.org/changeset/ports/526626

Log:
  www/gitea: Update to 1.10.4

  Changes:	https://github.com/go-gitea/gitea/releases/tag/v1.10.4
  PR:		244246
  Submitted by:	stb@lassitu.de (maintainer)

Changes:
  head/www/gitea/Makefile
  head/www/gitea/distinfo
Comment 4 Dmitri Goutnik freebsd_committer 2020-02-21 13:50:02 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2020-03-07 18:43:07 UTC
A commit references this bug:

Author: adamw
Date: Sat Mar  7 18:42:57 UTC 2020
New revision: 527962
URL: https://svnweb.freebsd.org/changeset/ports/527962

Log:
  MFH: r526626 r527958

  www/gitea: Update to 1.10.4

  Changes:	https://github.com/go-gitea/gitea/releases/tag/v1.10.4
  PR:		244246
  Submitted by:	stb@lassitu.de (maintainer)

  gitea: Update to 1.11.2, contains security fixes

  https://blog.gitea.io/2020/02/gitea-1.11.0-is-released
  https://blog.gitea.io/2020/02/gitea-1.11.1-is-released
  https://blog.gitea.io/2020/02/gitea-1.11.2-is-released

  PR:		244025
  Submitted by:	maintainer
  Security:	yes (see links above)

  Approved by:	portmgr (with hat)

Changes:
_U  branches/2020Q1/
  branches/2020Q1/www/gitea/Makefile
  branches/2020Q1/www/gitea/distinfo
  branches/2020Q1/www/gitea/files/patch-vendor_golang.org_x_sys_unix_ztypes__freebsd__arm64.go
  branches/2020Q1/www/gitea/pkg-plist